shevek::telnet(3)

NAME
shevek::telnet -

Input and output filters for shevek::socket to make them telnet sockets.

SYNOPSIS

#include <telnet.hh>

Inherits shevek::socket.

  Classes

struct option_t

  Public Member Functions

std::string & you_there ()
Return the string that is used in reply to ARE_YOU_THERE requests.

  Static Public Member Functions

static Glib::RefPtr< telnet > create (Glib::RefPtr< Glib::MainContext > main=Glib::MainContext::get_default())
Create a new telnet socket.

  Protected Member Functions

telnet (Glib::RefPtr< Glib::MainContext > main)
Derived classes have their own create function and may call the constructor.

Detailed Description

Input and output filters for shevek::socket to make them telnet sockets.

Member Function Documentation

  std::string& shevek::telnet::you_there ()

Return the string that is used in reply to ARE_YOU_THERE requests. This can also be used to change the reply.

Author

Generated automatically by Doxygen for libshevek from the source code.